#import "template.typ": *

#show: doc => conf(
  authors: (
    (
      name: "Benoît Valot",
    ),
    (
      name: "Olivier Langella",
    ),
    (
      name: "Thomas Renne",
    ),
    (
      name: "Filippo Rusconi",
    ),
    (
      name: "Michel Zivy",
    ),
  ),
  toc: true,
  lang: "en",
  font: "EB Garamond 12",
  date: "14/02/2025",
  years: (2024, 2025),
  version: "1.2.0",
  subtitle: "Free and Open Source Protein Identification Software",
  "i2MassChroQ User Manual",
  doc
)


#include "chapters/a1_preface.typ"


#include "chapters/a2_generalities.typ"
#include "chapters/a3_fundamentals-in-bottom-up-proteomics.typ"
#include "chapters/a4_main-program-window.typ"
#include "chapters/a5_exploring-identification-data.typ"

#bibliography(style:"frontiers", "biblio.bib")
